#include <luajit-2.0/lauxlib.h>
#include <luajit-2.0/lua.h>
#include <luajit-2.0/lualib.h>

extern void my_func(void)
{
	printf("hello\n");
}

int main(int argc, char **argv)
{
	lua_State *L = luaL_newstate();

	luaL_openlibs(L);

	if (luaL_dofile(L, "my_func.lua")) {
		printf("err: %s\n", lua_tostring(L, -1));
	}
	lua_close(L);

	return 0;
}
